开发者社区 > ModelScope模型即服务 > 正文

是modelscope版本不对还是哪个模块没装?

"是modelscope版本不对还是哪个模块没装?
ImportError: cannot import name 'AutoModelForCausalLM' from 'modelscope'"

展开
收起
Lucidly 2024-03-17 21:31:38 29 0
2 条回答
写回答
取消 提交回答
  • 看下自己的脚本是否有个modelscope.py。此回答整理自钉群“魔搭ModelScope开发者联盟群 ①”

    2024-03-18 20:32:02
    赞同 展开评论 打赏
  • 错误 ImportError: cannot import name 'AutoModelForCausalLM' from 'modelscope' 表明您尝试从modelscope库导入名为AutoModelForCausalLM的类,但在当前安装或引用的ModelScope Python库版本中没有找到这个类。这意味着可能您的ModelScope版本不支持该特定模型接口,或者您需要安装正确的Hugging Face Transformers库来获得这个模型类。确保安装了与ModelScope兼容且包含所需模型的Transformers版本。

    2024-03-18 15:14:22
    赞同 展开评论 打赏

ModelScope旨在打造下一代开源的模型即服务共享平台,为泛AI开发者提供灵活、易用、低成本的一站式模型服务产品,让模型应用更简单!欢迎加入技术交流群:微信公众号:魔搭ModelScope社区,钉钉群号:44837352

相关电子书

更多
视觉AI能力的开放现状及ModelScope实战 立即下载
ModelScope助力语音AI模型创新与应用 立即下载
低代码开发师(初级)实战教程 立即下载